using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    internal class Program
    {
        static bool proveri(int a,int b, int[] nizP)
        {           
            int[] niz=new int[nizP.Length];
            for(int i = 0; i < nizP.Length; i++)
            {
                niz[i] = nizP[i];
            }
            bool bo = true;
            if (b - a >= 3) {
                if (niz[a] < niz[a + 1] && niz[a + 1]< niz[a + 2])
                {

                }
                else if(niz[a] > niz[a + 1] && niz[a + 1] < niz[a + 2])
                {
                    niz[a] = int.MaxValue;
                    bo = false;
                }
            }
            
            for(int i = a+1; i < b; i++) {
                if (!(niz[i] <= niz[i+1]))
                {
                    if (i>a&&niz[i] == int.MaxValue)
                    {
                        if (!(niz[i-1]<= niz[i + 1]))
                        {
                            return false;
                        }
                    }
                    else { 
                    if (bo == true) { 
                    bo= false;
                    niz[i + 1] = int.MaxValue;
                    }
                    else
                            return false;
                    }
                    
                }

            }
            
            return true;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] niz = Array.ConvertAll(Console.ReadLine().Split(' '),int.Parse);
            int br = int.Parse(Console.ReadLine());

            for(int i = 0; i < br; i++)
            {
                int[] unos= Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
                if(proveri(unos[0]-1, unos[1] - 1, niz))
                {
                    Console.WriteLine("DA");
                }
                else
                {
                    Console.WriteLine("NE");
                }
            }
            Console.ReadLine();
        }
    }
}